This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 111333 - ability to retry failed operation
ability to retry failed operation
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-02 06:19 EST by a1024
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-02 12:27:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description a1024 2003-12-02 06:19:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20030916

Description of problem:
Is it possible to alter dialog with more options (like retry, abort,
fail...) and let user to try unpack package several times if there is
not-so-very-new cdrom or some other problem with source media?)

When you get such error three times on cd3 it may calm down even very
hot linux newbie (which I'm not).


Version-Release number of selected component (if applicable):
anaconda-9.2

How reproducible:
Always

Steps to Reproduce:
1. start installation
2. use sometimes-failing-cdrom
3. restart installation after fail on cd3


Actual Results:  see desc.

Expected Results:  provide ability to retry failed operation

Additional info:
Comment 1 Jeremy Katz 2003-12-02 12:27:49 EST
This is impossible to do with the constraints of how rpm transactions
work, which is why every attempt is made to give as much chance of
succeeding as possible (and those then allow retries)

Note You need to log in before you can comment on or make changes to this bug.